Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
[Java] Class DefaultGrailsControllerClass

    java.lang.Object
      org.codehaus.groovy.grails.commons.AbstractGrailsClass
          org.codehaus.groovy.grails.commons.AbstractInjectableGrailsClass
              org.codehaus.groovy.grails.commons.DefaultGrailsControllerClass

All Implemented Interfaces:
  GrailsControllerClass

    @SuppressWarnings("rawtypes")
    public class DefaultGrailsControllerClass
    extends AbstractInjectableGrailsClass

Evaluates the conventions contained within controllers to perform auto-configuration.

Authors:
  Graeme Rocher
  Steven Devijver

Since:
  0.1

Field Summary
`static java.lang.String` | `CONTROLLER`

Fields inherited from class AbstractGrailsClass
grailsApplication

Constructor Summary
`DefaultGrailsControllerClass(java.lang.Class clazz)`

Method Summary
`groovy.lang.Closure` | `getAfterInterceptor(groovy.lang.GroovyObject controller)`
`groovy.lang.Closure` | `getBeforeInterceptor(groovy.lang.GroovyObject controller)`
`java.util.Set` | `getCommandObjectActions()` @return EMPTY_SET until the method is removed
`java.util.Set` | `getCommandObjectClasses()` @return EMPTY_SET until the method is removed
`java.lang.String` | `getDefaultAction()`
`java.util.Map` | `getFlows()`
`java.lang.String` | `getMethodActionName(java.lang.String uri)`
`java.lang.String[]` | `getURIs()`
`java.lang.String` | `getViewByName(java.lang.String viewName)`
`java.lang.String` | `getViewByURI(java.lang.String uri)`
`void` | `initialize()`
`boolean` | `isFlowAction(java.lang.String actionName)`
`boolean` | `isHttpMethodAllowedForAction(groovy.lang.GroovyObject controller, java.lang.String httpMethod, java.lang.String actionName)`
`boolean` | `isInterceptedAfter(groovy.lang.GroovyObject controller, java.lang.String action)`
`boolean` | `isInterceptedBefore(groovy.lang.GroovyObject controller, java.lang.String action)`
`boolean` | `mapsToURI(java.lang.String uri)`
`void` | `registerMapping(java.lang.String actionName)`
`void` | `setDefaultActionName(java.lang.String defaultActionName)`

Methods inherited from class AbstractInjectableGrailsClass
byName, byType, getAvailable

Methods inherited from class AbstractGrailsClass
getClazz, getFullName, getGrailsApplication, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReference, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isAbstract, isActionMethod, isReadableProperty, newInstance, setGrailsApplication, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### CONTROLLER

    public static final java.lang.String CONTROLLER

Constructor Detail

### DefaultGrailsControllerClass

    public DefaultGrailsControllerClass(java.lang.Class clazz)

Method Detail

### getAfterInterceptor

    public groovy.lang.Closure getAfterInterceptor(groovy.lang.GroovyObject controller)

### getBeforeInterceptor

    public groovy.lang.Closure getBeforeInterceptor(groovy.lang.GroovyObject controller)

### getCommandObjectActions

    public Set getCommandObjectActions() {
    public java.util.Set getCommandObjectActions()

  deprecated:
    This method is deprecated and will be removed in a future version of Grails
  Returns:
    EMPTY_SET until the method is removed

### getCommandObjectClasses

    public Set getCommandObjectClasses() {
    public java.util.Set getCommandObjectClasses()

  deprecated:
    This method is deprecated and will be removed in a future version of Grails
  Returns:
    EMPTY_SET until the method is removed

### getDefaultAction

    public java.lang.String getDefaultAction()

### getFlows

    public java.util.Map getFlows()

### getMethodActionName

    public java.lang.String getMethodActionName( java.lang.String uri)

### getURIs

    public java.lang.String[] getURIs()

### getViewByName

    public java.lang.String getViewByName(java.lang.String viewName)

### getViewByURI

    public java.lang.String getViewByURI(uri); java.lang.String uri)

### initialize

    public void initialize()

### isFlowAction

    public boolean isFlowAction(java.lang.String actionName)

### isHttpMethodAllowedForAction

    public boolean isHttpMethodAllowedForAction(groovy.lang.GroovyObject controller, java.lang.String httpMethod, java.lang.String actionName)

### isInterceptedAfter

    public boolean isInterceptedAfter(groovy.lang.GroovyObject controller, java.lang.String action)

### isInterceptedBefore

    public boolean isInterceptedBefore(groovy.lang.GroovyObject controller, java.lang.String action)

### mapsToURI

    public boolean mapsToURI(is) { java.lang.String uri)

### registerMapping

    public void registerMapping(java.lang.String actionName)

### setDefaultActionName

    public void setDefaultActionName(java.lang.String defaultActionName)

Groovy Documentation